/* Reset */
* { box-sizing: border-box; }

input{
    width: 50px;
    border-radius: 10px;
    text-align: center;
    color: white;
    background-color: transparent;
}
textarea{
    width: 100%;
    height: 100px;
    padding: 10px;
    border-radius: 10px;
    box-sizing: border-box;
    font-size: large;
     background-color: transparent;
     color: white;  
}
label{
    white-space: nowrap;
}



body {
    margin: 0; padding: 0;
    background:  linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/public/static_files/image/background-image.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    text-align: center;
    font-family: 'Hind Siliguri', sans-serif;
    font-size: 3vw; /* টেক্সটবুকের মতো দেখাতে সাইজ একটু বড় রাখা ভালো */
    line-height: 1.6;
    color: white;
    
}
.flex-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    flex-shrink: 1;
    justify-content: space-around;
    align-content: center;
    width: 100vw;
    height: 100vh;
}

.grid-container{
        display: grid;
        grid-template-columns: repeat(4, 1fr); /* ৪টি কলাম */
        grid-template-rows: auto; /* ৩টি সারি */
        gap: 0.3rem; /* গ্রিড আইটেমের মধ্যে ফাঁকা জায়গা */
        padding: 0.5rem; /* গ্রিড আইটেমের ভিতরের প্যাডিং */;
        width: 100%;
        height: 100%; color: white;
}

.item{ 
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.5);
    border-radius: 10px;
    padding: 3rem;
    margin: 3rem;
    overflow: hidden;

}

header {
    flex: 1; /* ১ ভাগ জায়গা */
    min-height: 0; /* ফ্লেক্স বক্সের জন্য জরুরি */
    background: #052101; 
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 5px;
}

main { 
    flex: 18; /* ১৮ ভাগ জায়গা - সবচাইতে বড় হবে */
    border: black 2px solid;
    margin: 0.05rem; 
    padding: 0.05rem;
}

footer { 
    flex: 1; /* ১ ভাগ জায়গা */
    min-height: 0;
    background: #003206; 
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    align-content: center;
}



/* মেইন এর ভেতরের সেকশনগুলোর স্টাইল */
main > section {
    overflow: hidden;
    margin: 0.05rem;
    padding: 0.05rem;
    }


/* ফ্লেক্স রেশিও অনুযায়ী সেকশনগুলোর সাইজ */
main > section:nth-child(1) { flex: 0.0005; flex-direction: row; display: none;}
main > section:nth-child(2) { flex: 2; flex-direction: row;  }
main > section:nth-child(3) { flex: 5;  flex-direction: row;  }
main > section:nth-child(4) { flex: 8; flex-direction: column;  }
main > section:nth-child(5) { flex: 3;  flex-direction: row;}



/* Ticker Animation */
.ticker-wrapper {
    white-space: nowrap;
    padding: 0px;
    margin: 0px;
}
.ticker-text { 
    display: inline-block; 
    animation: scroll-left 30s linear infinite; 
    font-size: 10px; 
    margin: 0px;
    padding: 0px;
}
@keyframes scroll-left { 
    0% { transform: translateX(100%); } 
    100% { transform: translateX(-100%); } 
}

.info-card{
    margin: 0.05rem;
    padding: 0.05rem;
    align-items: center;
    align-content: center;
    justify-content: center;
}


.ramadhan-widget{
    background-color: rgb(0, 0, 0);
}
.ramadhan-widget > div{
    
    backdrop-filter: blur(30px);
    border-radius: 10px;
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.5);
}
.ramadhan-widget > div > p {
    margin: 0px;
    line-height: 1; 
    font-size: 3vw; 
    font-weight: bold;
}
.ramadhan-widget > div > h2{
    margin: 0px; 
    font-size: 1vw; 
    line-height: 1; 
    font-weight: normal;
}

.daily-inspiration{
    overflow-x: auto;
    gap: 15px;
    padding: 10px;
    -webkit-overflow-scrolling: touch;
    background: linear-gradient(rgba(10, 66, 3, 0.822), rgba(1, 81, 105, 0.953));
    box-shadow:  0 0 100px rgba(11, 0, 0, 0.5);
}
.daily-inspiration.flex-container::-webkit-scrollbar{
    display: none;
}
.daily-inspiration > .info-card{
    flex: 0 0 85%;
    scroll-snap-align: center;
    height: 100%;
}
.daily-inspiration  >.info-card > .card-head > h2{
    margin: 0px; line-height: 1.2;
    background-color: rgba(128, 0, 0, 0.237);
    opacity: 0.4;
}
.daily-inspiration  > .info-card > .card-body > p{
    margin: 0px; line-height: 1.2; 
}
.daily-inspiration > .info-card > .card-action{
    margin: 0px; line-height: 1.2; 
    background-color: rgba(128, 0, 0, 0.237);
    opacity: 0.4;
}


.user-traker-container{
    flex-shrink: 1;
    overflow-y: scroll;
    scrollbar-width: none;
    width: 100%;
}
table{
    width: 100%;
    border-collapse: collapse;
}

.user-traker-container > .salat-tracker{
    text-align: left;
    width: 100%;
    align-items: center;
    justify-content: center;
    padding: 20px;
    margin: 20px;
    border-radius: 10px;
    backdrop-filter: blur(10px);
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.5);
}
.user-traker-container > .quran-and-good-deed-container{
    padding: 20px;
    margin: 20px;
    width: 100%;
    border-radius: 10px;
    backdrop-filter: blur(10px);
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.5);
} 


.checklist{
    width: 100%;
    padding: 20px;
    margin: 20px;
    border-radius: 10px;
    backdrop-filter: blur(10px);
    font-size: large;
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.5);
    text-align: left;
    padding-left: 20px;
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.5);
  }


@media screen and (max-width: 600px) {
    /* Reset */
    * {  }

    input{
    }


    body {
        font-size: 3vw;
    }
    .flex-container{
    }

    .grid-container{
        grid-template-columns: repeat(1, 1fr); /* মোবাইলের জন্য ২টি কলাম */
        grid-template-rows: repeat(1, 1fr)
    }
    header {
    }

    main { 
    }

    footer { 
    }



    /* মেইন এর ভেতরের সেকশনগুলোর স্টাইল */
    main > section {
    }


    /* ফ্লেক্স রেশিও অনুযায়ী সেকশনগুলোর সাইজ */
    main > section:nth-child(1) { }
    main > section:nth-child(2) {  }
    main > section:nth-child(3) {  }
    main > section:nth-child(4) {  }
    main > section:nth-child(5) { }



    /* Ticker Animation */
    .ticker-wrapper {
    }
    .ticker-text { 
    }
   

    .info-card{
    }

    .ramadhan-widget > div{
        
    }
    .ramadhan-widget > div > p {
        font-size: 5vw;
    }
     .ramadhan-widget > div > p:nth-child(2) {
        font-size: 1vw;
    }
    .ramadhan-widget > div > h2{
        font-size: 8px;
    }


    .daily-inspiration  >.info-card > .card-head > h2{
    }
    .daily-inspiration  > .info-card > .card-body > p{
    }


    .user-traker-container{
    }


}   